/* gpvo - GNU PIC view object
   Copyright 2001-2005	Craig Franklin
   Copyright 2016	Molnár Károly
*/

#pragma once

#define GPVO_VERSION_STRING         ("gpvo-" VERSION " #" REVISION " (" __DATE__ ")")

/* Dump Flags */
#define PRINT_HEADER    (1 << 1)
#define PRINT_SECTIONS  (1 << 2)
#define PRINT_SYMTBL    (1 << 3)
#define PRINT_BINARY    (1 << 4)

extern struct gpvo_state {
  int           dump_flags;     /* when bit set then print that section */
  bool    suppress_names; /* suppress filenames when 1 */
  char         *filename;       /* object file name */
  struct {
    FILE       *f;              /* include file output */
    bool  enabled;        /* include file enable */
    char       *filename;       /* include file name */
  } export;
  gp_object_t  *object;         /* formatted object file */
  gp_binary_t  *file;           /* binary object file */
} state;
